For Developers
List Materializations
GET https://ed.link/api/v2/graph/materializations
Retrieve a list of all Materializations.
Request Parameters
This query allows for standard paging parameters.
It is best practice to use either $first or $last in conjunction with the $next value returned by the API to paginate through results.
Read More About Paging
Developer Guide
Click to Read
This query allows for filtering results.
Read More About Filtering
Developer Guide
Click to Read
Sample Request
// List the 5 most recent materializations.
axios.get('https://ed.link/api/v2/graph/materializations?$last=5', {
headers: {
authorization: `Bearer ${integration_access_token}`
}
});
Sample Response
{
"$data": [
{
"id": "00000000-0000-0000-0000-000000000000",
"created_date": "2021-07-13T20:00:54.521Z",
"updated_date": "2021-07-13T21:02:22.330Z",
"state": "complete",
"priority": 0,
"source_id": "00000000-0000-0000-0000-000000000000",
"integration_id": "00000000-0000-0000-0000-000000000000"
},
{
"id": "11111111-1111-1111-1111-111111111111",
"created_date": "2021-07-14T15:30:10.123Z",
"updated_date": "2021-07-14T16:45:00.456Z",
"state": "error",
"priority": 0,
"source_id": "00000000-0000-0000-0000-000000000000",
"integration_id": "00000000-0000-0000-0000-000000000000"
},
{
"id": "22222222-2222-2222-2222-222222222222",
"created_date": "2021-07-15T09:15:30.789Z",
"updated_date": "2021-07-15T10:20:40.012Z",
"state": "complete",
"priority": 10,
"source_id": "00000000-0000-0000-0000-000000000000",
"integration_id": "00000000-0000-0000-0000-000000000000"
},
{
"id": "33333333-3333-3333-3333-333333333333",
"created_date": "2021-07-16T11:25:50.345Z",
"updated_date": "2021-07-16T12:30:55.678Z",
"state": "working",
"priority": 5,
"source_id": "00000000-0000-0000-0000-000000000000",
"integration_id": "00000000-0000-0000-0000-000000000000"
},
{
"id": "44444444-4444-4444-4444-444444444444",
"created_date": "2021-07-16T13:40:00.901Z",
"updated_date": "2021-07-16T14:50:10.234Z",
"state": "queued",
"priority": 0,
"source_id": "00000000-0000-0000-0000-000000000000",
"integration_id": "00000000-0000-0000-0000-000000000000"
}
],
"$request": "00000000-0000-0000-0000-000000000000"
}
